Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4015 - Incorrect return value given by eval
Summary: Incorrect return value given by eval
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pdksh
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-13 10:17 UTC by steve.eames
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-20 15:22:15 UTC


Attachments (Terms of Use)

Description steve.eames 1999-07-13 10:17:51 UTC
Create the following program:

#!/bin/ksh

exit 1

Entering eval `prog` should return 1, but it returns 0.

Version of ksh: PD KSH v5.2.12 96/10/29

Comment 1 Jay Turner 1999-07-13 13:04:59 UTC
Try upgrading to the latest version of pdksh (5.2.13) and see if that
affects the outcome.  Reopen this bug if you are still having
problems.

Comment 2 steve.eames 1999-07-15 10:09:59 UTC
I tried installing an updated RPM (version 5.2.13) which also gave
the same results.

After trawling the news groups, I found the answer. on the PD KSH web
site, they have noted the problem and issued a revised version
(5.2.14). This is obviously not in a RPM, but it compiles and
installs easily. It has also solved my problem.

( Go to http://www.cs.mun.ca/~michael/pdksh/ for further information )

Comment 3 Jay Turner 1999-07-19 16:18:59 UTC
This issue has been forwarded to a developer for further action.

Thanks.

Comment 4 Bill Nottingham 1999-08-20 15:22:59 UTC
pdksh-5.2.14 is in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.